package entity

import (
	"time"
	"gorm.io/gorm"
)

type CampaignDestinations struct {
	ID             uint           `json:"id" gorm:"primaryKey;type:int4;autoIncrement"`
	CampaignTypeID uint           `json:"campaign_type_id" gorm:"type:int4"`
	CampaignType   CampaignTypes  `json:"campaign_type" gorm:"foreignKey:CampaignTypeID;references:ID"`
	SubType        string         `json:"sub_type" gorm:"type:varchar(100)"`
	Name           string         `json:"name" gorm:"type:varchar(150)"`
	Description    *string        `json:"description" gorm:"type:text"`
	URL            *string        `json:"url" gorm:"type:varchar(255)"`
	IsActive       *bool          `json:"is_active" gorm:"type:bool;default:true"`
	CreatedAt      time.Time      `json:"created_at" gorm:"default:now()"`
	UpdatedAt      time.Time      `json:"updated_at" gorm:"default:now()"`
	DeletedAt      gorm.DeletedAt `json:"deleted_at" gorm:"index"`
}

